Skip to main content
GET
List positions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

Query Parameters

open_only
boolean
default:false

If true, only open positions are returned.

Response

OK

account
string
required

ID of the account that owns the position.

automatic_rollover
boolean
required

Whether automatic rollover is enabled.

available_for_trading
string
required

Instrument quantity available for trading.

Example:

"1000.00"

average_price
string | null
required

Average acquisition price per instrument unit.

Example:

"98.75"

can_update_automatic_rollover
boolean
required

Whether automatic rollover can currently be changed.

closed_at
string<date-time> | null
required

Time the position was closed.

Example:

"2025-07-15T10:30:00Z"

created_at
string<date-time>
required

Time the position record was created.

Example:

"2025-01-15T10:30:00Z"

id
string
required

ID of the position.

instrument
Bill · object
required

Instrument held in the position.

modified_at
string<date-time>
required

Time the position record was last modified.

Example:

"2025-07-01T14:32:18Z"

most_recent_maturity_period
string | null
required

Most recent maturity period used for rollover.

Example:

"3m"

opened_at
string<date-time>
required

Time the position was opened.

Example:

"2025-01-15T10:30:00Z"

reserved
string
required

Instrument quantity reserved by pending orders.

Example:

"50.00"

settled
string
required

Settled instrument quantity.

Example:

"1000.00"

status
enum<string>
required

Current lifecycle status of the position.

Available options:
open,
closing,
closed
total
string
required

Total instrument quantity held.

Example:

"1250.00"

total_buy_trades
integer
required

Number of buy trades contributing to the position.

Example:

3

unsettled
string
required

Instrument quantity awaiting settlement.

Example:

"250.00"

ytm
string | null
required

Yield to maturity as a percentage.

Example:

"4.25"

automatic_rollover_cutoff
string<date> | null

Last date automatic rollover can be changed.

Example:

"2025-09-25"